package com.zhongzheng.modules.inform.service;

import com.zhongzheng.modules.goods.bo.GoodsAttachedQueryBo;
import com.zhongzheng.modules.goods.bo.GoodsQueryBo;
import com.zhongzheng.modules.inform.domain.Inform;
import com.zhongzheng.modules.inform.vo.CourseInformVo;
import com.zhongzheng.modules.inform.vo.GoodsInformAttachedVo;
import com.zhongzheng.modules.inform.vo.InformVo;
import com.zhongzheng.modules.inform.bo.InformQueryBo;
import com.zhongzheng.modules.inform.bo.InformAddBo;
import com.zhongzheng.modules.inform.bo.InformEditBo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;
import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author ruoyi
 * @date 2021-11-23
 */
public interface IInformService extends IService<Inform> {
	/**
	 * 查询单个
	 * @return
	 */
	InformVo queryById(Long informId);

	/**
	 * 查询列表
	 */
	List<InformVo> queryList(InformQueryBo bo);

	/**
	 * 根据新增业务对象插入【请填写功能名称】
	 * @param bo 【请填写功能名称】新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(InformAddBo bo);

	/**
	 * 根据编辑业务对象修改【请填写功能名称】
	 * @param bo 【请填写功能名称】编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(InformEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

	List<InformVo> listInform(InformQueryBo bo);

	Integer selectNum(InformAddBo bo);

    List<CourseInformVo> listGoodsCourse(GoodsQueryBo bo);

	List<GoodsInformAttachedVo> bankList(GoodsAttachedQueryBo bo);

	boolean editClassifyId(InformEditBo bo);
}
